%define		pdir	Crypt
%define		pnam	DES_EDE3
%include	/usr/lib/rpm/macros.perl
Summary:	Crypt::DES_EDE3 Perl module - Triple-DES EDE implementation
Summary(pl.UTF-8):	Moduł Perla Crypt::DES_EDE3 - implementacja Triple-DES EDE
Name:		perl-Crypt-DES_EDE3
Version:	0.01
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fde1995efa0735407a5f7c4a4c8147bc
URL:		http://search.cpan.org/dist/Crypt-DES_EDE3/
BuildRequires:	perl-Crypt-DES
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Crypt::DES_EDE3, a module implementing Triple-DES EDE
(encrypt-decrypt-encrypt) encryption and decryption.

%description -l pl.UTF-8
To jest moduł Crypt::DES_EDE3, będący implementacją szyfrowania i
odszyfrowywania Triple-DES EDE (encrypt-decrypt-encrypt).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/DES_EDE3.pm
%{_mandir}/man3/*
%changelog
* Fri Apr 14 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Crypt-DES_EDE3.git;a=log;h=master

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 9bc5acd
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2899861
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 54658b3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0292582
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5000768
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 9d0748c
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 08061bb
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 8aae75d
- fixed perl-devel BR

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> d73935b
- license fixes and unification

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 8ce124a
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2e2d697
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 43cb05a
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> cb64790
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 2a54ef6
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 76512a4
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 51c718a
- massive attack: change CPAN URLs

* Mon Jul 29 2002 Jakub Bogusz <qboosh@pld-linux.org> 5351b5c
- new

